require "workin/version"
require 'workin/tools'

load __dir__ + '/files/requireds.rb'

module Workin
  
  def self.root
    File.dirname __dir__
  end

  def self.files
    File.join root, 'lib/files'
  end

  def self.host
    Socket.gethostname
  end

  def self.home
    ENV['HOME']
  end

  def self.user
    ENV['USER']
  end

  def self.pwd
    ENV['PWD']
  end

  def self.ldap_pass
    ENV['ldap_pass']
  end

  def self.ldap_user
    ENV['ldap_user']
  end

  def self.gem_path
    ENV['GEM_PATH']
  end

end

